package com.willalp.level.service;

import com.willalp.common.core.service.ITreeCommonService;
import com.willalp.level.domain.HsSysLevel;

import java.util.List;

/**
 * 层级规则Service接口
 *
 * @author bjh
 * @date 2021-12-02
 */
public interface IHsSysLevelService extends ITreeCommonService<HsSysLevel> {
    /**
     * 查询层级规则
     *
     * @param id 层级规则主键
     * @return 层级规则
     */
    public HsSysLevel selectHsSysLevelById(String id);


    public Long getByMaxId();

    public Long getParent(String id);

    public Long getCode(String id);

    /**
     * 查询层级规则列表
     *
     * @param hsSysLevel 层级规则
     * @return 层级规则集合
     */
    public List<HsSysLevel> selectHsSysLevelList(HsSysLevel hsSysLevel);

    /**
     * 新增层级规则
     *
     * @param hsSysLevel 层级规则
     * @return 结果
     */
    public int insertHsSysLevel(HsSysLevel hsSysLevel);

    /**
     * 修改层级规则
     *
     * @param hsSysLevel 层级规则
     * @return 结果
     */
    public int updateHsSysLevel(HsSysLevel hsSysLevel);

    /**
     * 批量删除层级规则
     *
     * @param ids 需要删除的层级规则主键集合
     * @return 结果
     */
    public int deleteHsSysLevelByIds(String[] ids);

    /**
     * 删除层级规则信息
     *
     * @param id 层级规则主键
     * @return 结果
     */
    public int deleteHsSysLevelById(String id);
}
